<?php
require_once '../Logic/config.php';

// 检查是否有POST请求提交表单
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // 处理表单提交的数据
    if ($_POST["formType"] == "loginForm") {
        session_start(); // 启动会话

        // 表单中获取的用户名和密码和学生id
        $username = $_POST['username'];
        $studentId = $_POST['studentId'];
        $password = $_POST['password'];

        $stmt = DB->prepare("SELECT * FROM user");
        $stmt->execute();
        $users = $stmt->fetchAll(PDO::FETCH_ASSOC);

        // 遍历所有用户
        $loggedIn = false;
        foreach ($users as $user) {
            // 检查用户名和密码是否匹配
            if ($user['account'] === $username && $user['password'] === $password) {
                // 检查用户ID是否匹配
                if ($user['id'] == $studentId) {
                    // 登录成功，执行相应操作
                    $_SESSION['user_id'] = $user['id']; // 将用户 ID 存储在会话中

                    // 更新用户的在线状态为 'online'
                    $updateOnlineStatus = DB->prepare("UPDATE user SET is_online = 'online' WHERE id = ?");
                    $updateOnlineStatus->execute([$user['id']]);

                    $loggedIn = true;
                    break; // 退出循环
                } else {
                    // 用户名和密码匹配，但用户ID不匹配
                    echo "<script>alert('学生账号不在数据库中，请重试');</script>";
                    echo "<script>window.location.href = 'LoginPage.php';</script>";
                }
            }
        }

// 检查是否登录成功
        if ($loggedIn) {
            // 登录成功，执行相应操作
            header("Location: interface.php");
            exit; // 结束脚本执行
        } else {
            // 登录失败，显示提示消息
            echo "<script>alert('用户名或密码错误，请重试');</script>";
            echo "<script>window.location.href = 'LoginPage.php';</script>";
        }

    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>UWE Student Assistant Login</title>
    <link rel="stylesheet" href="../css/LoginPage.css">
</head>
<body>
<?php include '../Logic/translate.php'; ?>
<div class="login-container">
    <h2 class="background-text">UWE Student Assistant</h2>
    <form id="loginForm" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
        <div class="form-group">
            <label for="username">Account:</label>
            <input type="text" id="username" name="username" required>
        </div>
        <div class="form-group">
            <label for="studentId">Student ID:</label>
            <input type="text" id="studentId" name="studentId" pattern="\d{8}" required
                   title="Student ID must be 8 digits." required>
        </div>
        <div class="form-group">
            <label for="password">Password:</label>
            <input type="password" id="password" name="password" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*\W).{8,}"
                   required
                   title="Password must be at least 8 characters long, including 1 uppercase letter, 1 special character, and 1 number."
                   required>
        </div>

        <input type="hidden" name="formType" value="loginForm">
        <button type="submit">Login</button>

        <a href="register.php" id="registerLink">Don't have an account? Sign up for one!</a>
    </form>
</div>
</body>

</html>

