<?php
require_once '../Logic/config.php';
require_once '../Logic/session_start.php';

$stmt = DB->prepare("SELECT * FROM city_building");
$stmt->execute();
$buildings = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Bristol Map Overlay</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <link rel="stylesheet" href="../css/city.css">
</head>
<body>
<?php include '../Logic/translate.php'; ?>
<div id="map" style="height: 500px; width: 100%;"></div>

<div id="place-search-bar">
    <input id="place-search" type="text" placeholder="Search for places..."/>
</div>

<nav id="place-nav">
    <?php foreach ($buildings as $building): ?>
        <button class="place-btn" data-name="<?php echo htmlspecialchars($building['name']); ?>"
                data-lat="<?php echo htmlspecialchars($building['data-lat']); ?>"
                data-lng="<?php echo htmlspecialchars($building['data-lng']); ?>"
                data-opentime="<?php echo htmlspecialchars($building['openTime']); ?>"
                data-description="<?php echo htmlspecialchars($building['description']); ?>"
            data-address="<?php echo htmlspecialchars($building['address']); ?>">
            <?php echo htmlspecialchars($building['name']); ?>
        </button>
    <?php endforeach; ?>
</nav>

<div id="place-info"></div>

<div id="bus-route-info" style="padding: 20px;">
    <h2>UWE Bus information:</h2>
    <p id="bus-route-description">There are picture for First bus service through UWE:</p>
    <div id="bus-route-image-container" style="width: 100%; text-align: center;">
        <!-- 示例占位图像；请将 src 属性替换为您的图像路径 -->
        <img id="bus-route-image" src="../Data/UWE_Bus_Service.jpg" alt="Bus Route Map"
             style="max-width: 100%; height: auto;">
    </div>
    <h2>There are detail path for every bus throughing Frenchay campus:</h2>
    <table class="bus-schedule">
        <thead>
        <tr>
            <th>Service</th>
            <th>Bus Path</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td>19</td>
            <td>Bath - Bitton - Cherry Gardens - Cadbury Heath - Kingswood - Downend - Hambrook - Stoke Park - <span
                        class="highlighted">Frenchay</span> - Bristol Parkway Station
            </td>
        </tr>
        <tr>
            <td>48a</td>
            <td>City Centre - Old Market - Easton - Eastville - Fishponds - Glenside - Stoke Park - <span
                        class="highlighted">Frenchay</span></td>
        </tr>
        <tr>
            <td>70 (24/7 service between City Centre & UWE Frenchay)</td>
            <td>Hengrove - Melvin Square - Bedminster - City Centre - Montpelier - Cromwell Road - Chesterfield Road -
                Ashley Down Road - Muller Road - Filton Avenue - <span class="highlighted">Frenchay</span></td>
        </tr>
        <tr>
            <td>72</td>
            <td>Temple Meads Station - City Centre - Clifton Triangle - University of Bristol - Cotham - Redland -
                Gloucester Road - Filton Avenue - Lockleaze - Cheswick Village - <span
                        class="highlighted">Frenchay</span></td>
        </tr>
        <tr>
            <td>74</td>
            <td>Temple Meads Station - City Centre - Montpelier - Gloucester Road - Horfield - Filton - <span
                        class="highlighted">Frenchay</span></td>
        </tr>
        <tr>
            <td>m1 metrobus (U3 overnight between UWE Frenchay & City Centre)</td>
            <td>Cribbs Causeway - Aztec West - Bradley Stoke - <span class="highlighted">Frenchay</span> - Stoke Park -
                Begbrook - City Centre - Bedminster - Inns Court - Hengrove Park
            </td>
        </tr>
        <tr>
            <td>m3 metrobus</td>
            <td>City Centre - Begbrook - Stoke Park - <span class="highlighted">Frenchay</span> - Hambrook - Willy
                Wicket - Emerald Park - Science Park - Lyde Green P&R - Emersons Green
            </td>
        </tr>
        <tr>
            <td>m4 metrobus</td>
            <td>City Centre - Begbrook - Stoke Park - <span class="highlighted">Frenchay</span> - Bristol Parkway
                Station - Cribbs Causeway
            </td>
        </tr>
        </tbody>
    </table>

    <div id="google_translate_element"></div>
</div>


<a href="interface.php" id="return-home-btn"><i class="fas fa-arrow-left"></i></a>

<script src="../Logic/city.js"></script>
</body>
</html>
